Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000679 [SkyOS 5.0 - Beta] minor always 2005-02-04 20:53 2005-03-31 15:20
Reporter Another One View Status public  
Assigned To
Priority normal Resolution open  
Status closed  
Summary 0000679: ZSNES fails to load (Beta8.3 SP2)
Description ZSNES fails to load in Beta8.3 SP2
Additional Information SkyOS v5.0.0-beta 8.3 is booting...
bootpara.c: Kernel options: /kernel.sys /debug /debugport=1
Memory summary:
memory.c: Found 382MB memory.
memory.c: init paging...
memory.c: Using 380MB (398458880 byte)
memory.c: Possible memstart: 00256F60 00000000
memory.c: Page tables at 0x00258000
memory.c: Init memory map manager...
memory.c: Useable memory starts at 005B0000. MemoryMap at 002B8000
memory.c: 383272k free. 389120k available
memory.c: 664k kernel code, 200k data, 1024k reserved
memory.c: Init kernel memory allocation interface...
memory.c: init memory interface...
memory.c: init memory interface done.
main.c: Protecting kernel code from bad referenced pointers...
main.c: Kernel code region from 80100000 to 801A6000
main.c: Protection enabled for 166 pages
main.c: Initializing resource manager...
perfman.c: Initializing performance measure points....
uart.c: Detecting serial ports...
debugger.c: Opening device /dev/ser1 for debug output
uart.c: /dev/ser0: Opened with 56700
sched.c: Initializing multitasking environment...
sched.c: Timer set to 100Hz
critical.c: Semaphore not valid in enter...
magic: 001FEB30 / 00000000
<core: kernel> 0x0010F748
<core: kernel> 0x0010FFE3
<core: kernel> 0x0013CAD7
<core: kernel> 0x0013E3A7
<core: kernel> 0x0012626F
<core: kernel> 0x0010B47E
<core: kernel> 0x001023BA
<core: kernel> 0x00109DA3
<core: kernel> 0x00000000
critical.c: Semaphore not valid in leave...
magic: 001FEB30 / 00000000
<core: kernel> 0x0010F969
<core: kernel> 0x00110024
<core: kernel> 0x0013CB88
<core: kernel> 0x0013E3A7
<core: kernel> 0x0012626F
<core: kernel> 0x0010B47E
<core: kernel> 0x001023BA
<core: kernel> 0x00109DA3
<core: kernel> 0x00000000
SkyOS v5.0.0-beta 8.3 is booting...
Copyright (c) 1996 - 2004 by Szeleney Robert
Build: Feb 3 2005 / 18:40:37 Kernel Version: v5.0.0-beta 8.3
For more information or download see http://www.skyos.org [^]
 
Used bootloader: GRUB
Used bootoptions: /kernel.sys /debug /debugport=1
CPU Cache: Enabled (8005003B)
debugger.c: Kernel debugger uses serial device /dev/ser1
            115200,8,n
done
pc.c: cpu is a AuthenticAMD
      model is unknown
      stepping : 1
      stepping : unknown
      cpuid lev.: 1
      flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov fcmov pse36 mmx+ mmx fxsr 3dnow+ 3dnow
tsccounter: 001F6494
new device
new device done
new device done 2087606906
main.c: CPU0 runs at 2087Mhz (2087 cycles per usec)
Memory detected: 398458880 / (380 MB)
32Bit Protected Mode, Virtual Memory, Interrupts and Paging activated
Kernel code is 664KB and uses 196KB intialized data
384864KB non-initialized data. BSS end at 0x00256F60
main.c: System with ISA bus detected.
init cache
main.c: Initializing scheduler...
main.c: Enabling Interrupts...
main.c: Interrupts enabled...
pcisub.c: Scanning PCI-BUS. Bus: 0
pci.c: 8086:7190
pci.c: 8086:7191
pcisub.c: Scanning PCI-BUS. Bus: 1
pci.c: 8086:7110
pci.c: 8086:7111
pci.c: 8086:7112
pci.c: 8086:7113
pci.c: 15AD:0405
pci.c: 104B:1040
pci.c: 1022:2000
pci.c: 1274:1371
module.c: Initializing module manager...
module.c: Module manager initialized.
boot.c: BootScreenInitialize...
boot.c: Initialize fail-safe VGA driver...
boot.c: Initialize VESA2.0 ...
boot.c: Initialize SkyGI ...
skygi.c: Initializeing software driver...
skygi.c: Software driver opened
boot.c: Initialize BootScreen driver...
skygi.c: Merge Software/Primary driver data
vesa.c: Init
call real mode
call real mode done
vesa.c: Mode Request
vesa.c: VideoModePtr located at C0005FA9 (Seg: 0xC000 Off: 0x5FA9). Phys: 0x000C5FA9
vesa.c: mode 0x0120 available.
vesa.c: mode 0x0121 available.
vesa.c: mode 0x0122 available.
vesa.c: mode 0x0123 available.
vesa.c: mode 0x0124 available.
vesa.c: mode 0x0125 available.
vesa.c: mode 0x0126 available.
vesa.c: mode 0x0127 available.
vesa.c: mode 0x0128 available.
vesa.c: mode 0x0129 available.
vesa.c: mode 0x012A available.
vesa.c: mode 0x012B available.
vesa.c: mode 0x012C available.
vesa.c: mode 0x012D available.
vesa.c: mode 0x012E available.
vesa.c: mode 0x012F available.
vesa.c: mode 0x0130 available.
vesa.c: mode 0x0131 available.
vesa.c: mode 0x0132 available.
vesa.c: mode 0x0133 available.
vesa.c: mode 0x0134 available.
vesa.c: mode 0x0135 available.
vesa.c: mode 0x0136 available.
vesa.c: mode 0x0137 available.
vesa.c: mode 0x0138 available.
vesa.c: mode 0x0139 available.
vesa.c: mode 0x013A available.
vesa.c: mode 0x013B available.
vesa.c: mode 0x013C available.
vesa.c: mode 0x013D available.
vesa.c: mode 0x013E available.
vesa.c: mode 0x013F available.
vesa.c: mode 0x0140 available.
vesa.c: mode 0x0141 available.
vesa.c: mode 0x0142 available.
vesa.c: mode 0x0143 available.
vesa.c: mode 0x0144 available.
vesa.c: mode 0x0145 available.
vesa.c: mode 0x0146 available.
vesa.c: mode 0x0147 available.
vesa.c: mode 0x0148 available.
vesa.c: mode 0x0149 available.
vesa.c: mode 0x0100 available.
vesa.c: mode 0x0101 available.
vesa.c: mode 0x0103 available.
vesa.c: mode 0x0105 available.
vesa.c: mode 0x0107 available.
vesa.c: mode 0x010E available.
vesa.c: mode 0x0111 available.
vesa.c: mode 0x0114 available.
vesa.c: mode 0x0117 available.
vesa.c: mode 0x011A available.
vesa.c: Mode 0x0120x with 320/200 at 8 supported (LFB)
vesa.c: Mode 0x0121x with 320/400 at 8 supported (LFB)
vesa.c: Mode 0x0122x with 640/400 at 8 supported (LFB)
vesa.c: Mode 0x0123x with 640/480 at 8 supported (LFB)
vesa.c: Mode 0x0124x with 800/600 at 8 supported (LFB)
vesa.c: Mode 0x0125x with 1024/768 at 8 supported (LFB)
vesa.c: Mode 0x0126x with 1152/864 at 8 supported (LFB)
vesa.c: Mode 0x0127x with 1280/960 at 8 supported (LFB)
vesa.c: Mode 0x0128x with 1280/1024 at 8 supported (LFB)
vesa.c: Mode 0x0129x with 1400/1050 at 8 supported (LFB)
vesa.c: Mode 0x012Ax with 1600/1200 at 8 supported (LFB)
vesa.c: Mode 0x012Bx with 1792/1344 at 8 supported (LFB)
vesa.c: Mode 0x012Cx with 1856/1392 at 8 supported (LFB)
vesa.c: Mode 0x012Dx with 1920/1440 at 8 supported (LFB)
vesa.c: Mode 0x012Ex with 320/200 at 16 supported (LFB)
vesa.c: Mode 0x012Fx with 320/400 at 16 supported (LFB)
vesa.c: Mode 0x0130x with 640/400 at 16 supported (LFB)
vesa.c: Mode 0x0131x with 640/480 at 16 supported (LFB)
vesa.c: Mode 0x0132x with 800/600 at 16 supported (LFB)
vesa.c: Mode 0x0133x with 1024/768 at 16 supported (LFB)
vesa.c: Mode 0x0134x with 1152/864 at 16 supported (LFB)
vesa.c: Mode 0x0135x with 1280/960 at 16 supported (LFB)
vesa.c: Mode 0x0136x with 1280/1024 at 16 supported (LFB)
vesa.c: Mode 0x0137x with 1400/1050 at 16 supported (LFB)
vesa.c: Mode 0x0138x with 1600/1200 at 16 supported (LFB)
vesa.c: Mode 0x0139x with 1792/1344 at 16 supported (LFB)
vesa.c: Mode 0x013Ax with 1856/1392 at 16 supported (LFB)
vesa.c: Mode 0x013Bx with 1920/1440 at 16 supported (LFB)
vesa.c: Mode 0x013Cx with 320/200 at 32 supported (LFB)
vesa.c: Mode 0x013Dx with 320/400 at 32 supported (LFB)
vesa.c: Mode 0x013Ex with 640/400 at 32 supported (LFB)
vesa.c: Mode 0x013Fx with 640/480 at 32 supported (LFB)
vesa.c: Mode 0x0140x with 800/600 at 32 supported (LFB)
vesa.c: Mode 0x0141x with 1024/768 at 32 supported (LFB)
vesa.c: Mode 0x0142x with 1152/864 at 32 supported (LFB)
vesa.c: Mode 0x0143x with 1280/960 at 32 supported (LFB)
vesa.c: Mode 0x0144x with 1280/1024 at 32 supported (LFB)
vesa.c: Mode 0x0145x with 1400/1050 at 32 supported (LFB)
vesa.c: Mode 0x0146x with 1600/1200 at 32 supported (LFB)
vesa.c: Mode 0x0147x with 1792/1344 at 32 supported (LFB)
vesa.c: Mode 0x0148x with 1856/1392 at 32 supported (LFB)
vesa.c: Mode 0x0149x with 1920/1440 at 32 supported (LFB)
vesa.c: Mode 0x0100x with 640/400 at 8 supported (LFB)
vesa.c: Mode 0x0101x with 640/480 at 8 supported (LFB)
vesa.c: Mode 0x0103x with 800/600 at 8 supported (LFB)
vesa.c: Mode 0x0105x with 1024/768 at 8 supported (LFB)
vesa.c: Mode 0x0107x with 1280/1024 at 8 supported (LFB)
vesa.c: Mode 0x010Ex with 320/200 at 16 supported (LFB)
vesa.c: Mode 0x0111x with 640/480 at 16 supported (LFB)
vesa.c: Mode 0x0114x with 800/600 at 16 supported (LFB)
vesa.c: Mode 0x0117x with 1024/768 at 16 supported (LFB)
vesa.c: Mode 0x011Ax with 1280/1024 at 16 supported (LFB)
vesa.c: Set Mode
vesa.c: Mode not available
skygi.c: Unable to set mode 640/480/24bpp for driver /dev/GFX_VESA
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at fa000000
vesa.c: Screen is 640/480 at 32 bpp
vesa.c: lfb virtual at 0x18000000. Size: 0x0012CA00
vesa.c: Enable MTRR for 0xFA000000. Size: 0x0012CA00
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 640/480 640/480 32 with 60 HZ
         Framebuffer: 0x18000000
boot.c: BootScreen Initialized at 640x480x32bpp using /dev/GFX_VESA
bootlogo.c: Parsing bootimage...
bootlog.c: Bootimage loaded. Displaying...
main.c: Enabling keyboard...
keyboard.c: Initializing keyboard...
keyboard.c: Keyboard driver installed.
fdd.c: Initializing Floppy device...
fdd.c: Dmabuffer is at ffe018
fdd.c: FDC version 0x81
fdd.c: enhanced controller found.
atainit.c: Found ATA/IDE PCI controller (8086:7111)
           PCI controller runs with compatibility mode at 0x1F0
           Primary : Base: 0x1f0, IRQ: 14, DMA: 00001050
           PCI controller runs with compatibility mode at 0x1F0
           Secondary: Base: 0x170, IRQ: 15, DMA: 00001058
ideinit.c: Allocating DMA transfer block and buffer
atainit.c: DMA Primary 178A0000 178A0000 00000800
atainit.c: DMA Secondary 00FED000 00FED000 00000800
ata.c: Detecting and initializing ATA/ATAPI devices...
ide.c: Secondary/Master not present
ide.c: Secondary/Slave not present
ata.c: Examining Master-Primary
ata.c: Examining Master-Slave
ata.c: ATA device connected at Master-Primary (PIO4)
ata.c: ATAPI device connected at Master-Slave (PIO4)
ata.c: No device connected at Secondary-Primary
ata.c: No device connected at Secondary-Slave
hd.c: New device: /dev/hd0 using /dev/ide0 0 - 2097152, Unknown(0) (1024 MB)
part.c: Valid partition (0): 63 - 2095191 (Type: 236)
hd.c: Detected partitions: 4
hd.c: New device: /dev/hd0a using /dev/ide0 63 - 2095191, SkyFS(0) (1023 MB)
hd.c: New device: /dev/cd1 using /dev/atapi1 0 - 0, Unknown(0) (0 MB)
hd.c: Error while probing partitions on device /dev/cd1
critical.c: Semaphore not valid in enter...
magic: 001FEB30 / 00000000
<core: kernel> 0x0010F748
<core: kernel> 0x0010FFE3
<core: kernel> 0x0013CAD7
<core: kernel> 0x0013E3A7
<core: kernel> 0x001706EB
<core: kernel> 0x001028C0
<core: kernel> 0x00109DA3
<core: kernel> 0x00000000
critical.c: Semaphore not valid in leave...
magic: 001FEB30 / 00000000
<core: kernel> 0x0010F969
<core: kernel> 0x00110024
<core: kernel> 0x0013CB88
<core: kernel> 0x0013E3A7
<core: kernel> 0x001706EB
<core: kernel> 0x001028C0
<core: kernel> 0x00109DA3
<core: kernel> 0x00000000
vfs.c: Initializing virtual filesystem...
       Initializing VNode Cache SubSystem..
rootfs: Initializing rootfs.
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol rootfs
mount.c: Mounted device to rootfs
mount.c: New mount entry at 0x00FE7018:
         SubFS : rootfs
         MountPoint: /
         Device :
         Mountnode : 00FE7018
skyfs.c: Initializing SkyFS
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol skyfs
fat.c: Initializing FAT-FS.
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol fat
sysintfs: Initializing sysintfs. (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol sysintfs
mount.c: Mounted device to sysintfs
mount.c: New mount entry at 0x00FE3018:
         SubFS : sysintfs
         MountPoint: /systeminterface
         Device :
         Mountnode : 00FE3018
CDFS.c: Initializing CDFS (ISO9660)... (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol cdfs
swap.c: Initializing swapper...
main.c: Switching to SkyGI WM...
gitask.c: Task for SkyGI at 17784018
automnt.c: Automounting disk devices...
atapi.c: Disc capacity: 39131
automnt.c: Check /dev/cd1 using cdfs for bootdevice...
atapi.c: Disc capacity: 39131
atapi.c: Disc capacity: 39131
buffer.c: Add device to cache subsystem.
buffer.c: Success
mount.c: Mounted device to cdfs
mount.c: New mount entry at 0x17789C0C:
         SubFS : cdfs
         MountPoint: /automnt
         Device : /dev/cd1
         Mountnode : 17789C0C
unmoung: /dev/cd1
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 1 0
buffer.c: Remove device from cache subsystem. Serialized 0 blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 1 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 0 0
automnt.c: Check /dev/hd0a using skyfs for bootdevice...
mount 17781C3C
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 523782
  used_blocks = 338623
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 1
  ag_shift = 14 (8660857386975232 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (691489734656, 2048, 393343301)
  log_start = 1200
  log_end = 1200
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 393343301)
  indices = (9487582756864, 1, 393343301)
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 523782
  used_blocks = 338623
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 1
  ag_shift = 14 (8660857386975232 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (691489734656, 2048, 393343301)
  log_start = 1200
  log_end = 1200
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 393343301)
  indices = (9487582756864, 1, 393343301)
buffer.c: Add device to cache subsystem.
buffer.c: Success
Check for 2209 reserved blocks.
skyfs.c: Mounted skyfs (1778BDFC, 17789C0C)
         RootVnode: 131072
mount.c: Mounted device to skyfs
mount.c: New mount entry at 0x17789C0C:
         SubFS : skyfs
         MountPoint: /automnt
         Device : /dev/hd0a
         Mountnode : 17789C0C
automnt.c: Mount /dev/hd0a as bootdevice to /boot
unmoung: /dev/hd0a
skyfs: umount...
free journal
free indices
free cached blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 41 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 41 0
done
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 41 0
buffer.c: Remove device from cache subsystem. Serialized 0 blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 41 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/hd0a 0 0 0
skyfs: unmount done.
mount 17781558
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 523782
  used_blocks = 338623
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 1
  ag_shift = 14 (8660857386975232 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (691489734656, 2048, 393343301)
  log_start = 1200
  log_end = 1200
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 393343301)
  indices = (9487582756864, 1, 393343301)
disk_super_block:
  magic1 = 0x534b5931 (SKY1) valid
  fs_byte_order = 0x42494745 (BIGE)
  block_size = 2048
  block_shift = 11
  num_blocks = 523782
  used_blocks = 338623
  inode_size = 2048
  magic2 = 0x33551214 (3U..) valid
  blocks_per_ag = 1
  ag_shift = 14 (8660857386975232 bytes)
  num_ags = 32
  flags = 0x434c454e (CLEN)
  log_blocks = (691489734656, 2048, 393343301)
  log_start = 1200
  log_end = 1200
  magic3 = 0x12149977 (...w) valid
  bootloadersize = 128
  root_dir = (8, 1, 393343301)
  indices = (9487582756864, 1, 393343301)
buffer.c: Add device to cache subsystem.
buffer.c: Success
Check for 2209 reserved blocks.
skyfs.c: Mounted skyfs (1778BDFC, 17789C0C)
         RootVnode: 131072
mount.c: Mounted device to skyfs
mount.c: New mount entry at 0x17789C0C:
         SubFS : skyfs
         MountPoint: /boot
         Device : /dev/hd0a
         Mountnode : 17789C0C
atapi.c: Disc capacity: 39131
atapi.c: Disc capacity: 39131
atapi.c: Disc capacity: 39131
fatfs.c: Mount FAT filesystem...
buffer.c: Add device to cache subsystem.
buffer.c: Success
fatfs.c: BytePerSector 0 not supported.
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
        Locked: 131072 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
        Locked: 2209 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
/dev/hd0a 0 34 2
/dev/cd1 0 0 0
buffer.c: Remove device from cache subsystem. Serialized 0 blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
        Locked: 131072 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
        Locked: 2209 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
/dev/hd0a 0 34 2
/dev/cd1 0 0 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
        Locked: 131072 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
        Locked: 2209 (lc: 1) dirty: 0 callback: 00000000 Clone: 00000000
/dev/hd0a 0 34 2
/dev/cd1 0 0 0
atapi.c: Disc capacity: 39131
atapi.c: Disc capacity: 39131
buffer.c: Add device to cache subsystem.
buffer.c: Success
mount.c: Mounted device to cdfs
mount.c: New mount entry at 0x00EEF810:
         SubFS : cdfs
         MountPoint: /cdfs0
         Device : /dev/cd1
         Mountnode : 00EEF810
Loading registry....
ata.c: User changed PIO status per registry.
ata.c: User changed PIO status per registry.
trap.c: Multiple interrupts disabled
ps2mouse.c: Initializing PS2 mouse..
ps2mouse.c: Ok
newgui.c: Keyboard driver opened
mouse.c: Unable to open com port 1. No Microsoft compatible mouse found
uart.c: /dev/ser1: Opened with 56700
mouse.c: searching at /dev/ser2
mouse.c: No Microsoft compatible mouse found
newgui.c: Input driver opened
gitask.c: Loading kernel symbols...
except.c: Fd is 3
usb.c: Initializing USB stack...
6845875:Initializing USB stack...
uhci.c: Detecting UHCI...
uhci.c: Init UHCI controller
uhci.c: UHCI controller found. IRQ: 9 Base: 00001060
uhci.c: 8086/7112
6845963:New USB device 1 on bus 0
6845975:Desriptor read successful. Max packet size: 8
6845984:New USB Device summary:
6845985:------------------------------------------------------------
6845994:Device 1 on bus 0
usb.c: Product: USB UHCI Root Hub
usb.c: SerialNumber: 1060
6846004:Implemented interfaces: 1
6846005:Class : 00000009
6846005:SubClass: 00000000
6846013:Protocol: 00000000
6846014:Vendor : 00000000
6846015:Product : 00000000
6846022:Configs : 00000001
6846023:Interfaces : 00000001
6846024:Parse interface 00000000..
6846025:Alternate interfaces: 00000001
6846033:Parse alternate interface: 00000000
6846034: Class: 00000009 Sub: 00000000 Protocol: 00000000 Interface: 00000000
Notification 0: (/Type=0x00000002 /Index=0 /ShortDescription="New device found" /LongDescription="USB HUB") buffered
6846065:Interface drivers created: 1, failed: 0, rejected: 0
uhci.c: Skipping additional controllers
gitask.c: Loading init application....
6848075: 16/setup.app: main.c: Change cursor 0 20 20 0 0
6848085: 16/setup.app: main.c: Change cursor 7 20 20 3 8
6848096: 16/setup.app: main.c: Change cursor 8 20 20 6 6
6848105: 16/setup.app: main.c: Change cursor 9 20 20 6 6
6848115: 16/setup.app: main.c: Change cursor 10 20 20 3 8
6848125: 16/setup.app: main.c: Change cursor 11 20 20 6 6
6848134: 16/setup.app: main.c: Change cursor 12 20 20 6 6
6848144: 16/setup.app: main.c: Change cursor 13 20 20 9 3
6848146: 16/setup.app: main.c: Change cursor 14 20 20 9 3
6848156: 16/setup.app: main.c: Change cursor 5 20 20 5 8
6848166: 16/setup.app: main.c: Change cursor 4 20 20 9 9
6848176: 16/setup.app: main.c: Change cursor 3 20 20 0 0
6848185: 16/setup.app: main.c: Change cursor 17 20 20 0 0
6848195: 16/setup.app: Apply keyboard mapping /boot/system/settings/keyboard/enus.txt
6848434: 16/setup.app: keyboard.c: Warning! Keymap doesn't have DeadKeys
6848516: 16/setup.app: Setup: Loading driver...
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at fa000000
vesa.c: Screen is 640/480 at 32 bpp
vesa.c: lfb virtual at 0x18000000. Size: 0x0012CA00
vesa.c: Enable MTRR for 0xFA000000. Size: 0x0012CA00
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 640/480 640/480 32 with 60 HZ
         Framebuffer: 0x18000000
gigfx.c: Primary driver:
          Framebuffer: 18000000
          Dimension : 640x480x32
6849063: 18/setup.app_t17_load: read (.)
6849064: 18/setup.app_t17_load: read (..)
6849065: 18/setup.app_t17_load: read (SNFS.dld)
6849069: 18/setup.app_t17_load: read load (SNFS.dld)
6849070: 18/setup.app_t17_load: load module (SNFS.dld)
6849079: 18/setup.app_t17_load: dlmload
6849092: 18/setup.app_t17_load: read (ac97.dld)
6849093: 18/setup.app_t17_load: read load (ac97.dld)
6849094: 18/setup.app_t17_load: load module (ac97.dld)
6849109: 18/setup.app_t17_load: dlmload
ac97.c: AC97 Codec driver installed.
6849115: 18/setup.app_t17_load: read (amdpcnet.dld)
6849117: 18/setup.app_t17_load: read load (amdpcnet.dld)
6849119: 18/setup.app_t17_load: load module (amdpcnet.dld)
6849134: 18/setup.app_t17_load: dlmload
Initializing tcpip module... 5b77f8
Directory created...
ip.c: Initializing Internet Protocol...
udp.c: Initializing UDP Protocol...
tcp.c: Initializing TCP Protocol...
netif at 186088CC
amdpcnet.c: Initializing....
amdpcnet.c: AmdPCNet Ethernet card detected at 0x1080. IRQ: 10
amdpcnet.c: PCnet / PCI II 79C970A
6849182: 18/setup.app_t17_load: read (bfs.dld)
6849183: 18/setup.app_t17_load: read load (bfs.dld)
6849185: 18/setup.app_t17_load: load module (bfs.dld)
6849198: 18/setup.app_t17_load: dlmload
bfs.c: Initializing bfs
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol bfs
6849236: 18/setup.app_t17_load: read (config)
6849238: 18/setup.app_t17_load: read (debugl.dld)
6849239: 18/setup.app_t17_load: read load (debugl.dld)
6849241: 18/setup.app_t17_load: load module (debugl.dld)
6849244: 18/setup.app_t17_load: dlmload
6849247: 18/setup.app_t17_load: read (devicefs.dld)
6849248: 18/setup.app_t17_load: read load (devicefs.dld)
6849250: 18/setup.app_t17_load: load module (devicefs.dld)
6849253: 18/setup.app_t17_load: dlmload
devicefs: Initializing devicefs. (read only)
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol devicefs
mount.c: Mounted device to devicefs
mount.c: New mount entry at 0x00C84414:
         SubFS : devicefs
         MountPoint: /dev
         Device :
         Mountnode : 00C84414
6849276: 18/setup.app_t17_load: read (eepro100.dld)
6849278: 18/setup.app_t17_load: read load (eepro100.dld)
6849279: 18/setup.app_t17_load: load module (eepro100.dld)
6849282: 18/setup.app_t17_load: dlmload
eepro100.c: Initializing....
eepro100.c: No Intel eePro100 cards found.
i386pe.c: Failed to initialize kernel module
6849290: 18/setup.app_t17_load: read (elo.dld)
6849291: 18/setup.app_t17_load: read load (elo.dld)
6849292: 18/setup.app_t17_load: load module (elo.dld)
6849295: 18/setup.app_t17_load: dlmload
6849298: 18/setup.app_t17_load: read (emu1k.dld)
6849300: 18/setup.app_t17_load: read load (emu1k.dld)
6849301: 18/setup.app_t17_load: load module (emu1k.dld)
6849305: 18/setup.app_t17_load: dlmload
emu1k.c: Initializing...
6849310: 18/setup.app_t17_load: read (es1371.dld)
6849311: 18/setup.app_t17_load: read load (es1371.dld)
6849313: 18/setup.app_t17_load: load module (es1371.dld)
6849318: 18/setup.app_t17_load: dlmload
es1371.c: Initializing ES1371...
es1371.c: found chip, vendor id 0x1274 device id 0x1371 revision 0x02
es1371.c: irq: 9, Handler: 186FF000
es1371.c: found es1371 rev 02 at io 0x00001400 irq 9
 features: joystick 0x0
AC97DetectCodec: AC97 codec found. Type: Unknown, Vendor: Cirrus Logic CS4297A rev A (435204/591304)
set 0 00004343
set 4 00004343
set 5 00004343
set 6 00004343
set 7 00001111
set 8 00004343
set 12 00004343
set 14 00004343
set 20 00004343
set 21 00004343
set 22 00004343
es1371.c: ES1371 device found
6849363: 18/setup.app_t17_load: read (fifofs.dld)
6849364: 18/setup.app_t17_load: read load (fifofs.dld)
6849366: 18/setup.app_t17_load: load module (fifofs.dld)
6849376: 18/setup.app_t17_load: dlmload
FFS.c: Initializing Fifo filesystem
FFS.c: memseting
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol fifofs
mount.c: Mounted device to fifofs
mount.c: New mount entry at 0x164AC414:
         SubFS : fifofs
         MountPoint: /fifo
         Device :
         Mountnode : 164AC414
6849395: 18/setup.app_t17_load: read (i815.dld)
6849396: 18/setup.app_t17_load: read load (i815.dld)
6849397: 18/setup.app_t17_load: load module (i815.dld)
6849400: 18/setup.app_t17_load: dlmload
i815.c: Initializing i815 driver...
i850.c: Failed to init driver..
i386pe.c: Failed to initialize kernel module
6849408: 18/setup.app_t17_load: read (i855.dld)
6849409: 18/setup.app_t17_load: read load (i855.dld)
6849410: 18/setup.app_t17_load: load module (i855.dld)
6849412: 18/setup.app_t17_load: dlmload
6849418:Detecting Intel graphic card...
6849419:i850.c: Failed to init driver..
i386pe.c: Failed to initialize kernel module
6849423: 18/setup.app_t17_load: read (lib)
6849425: 18/setup.app_t17_load: read (linuxvm.dld)
6849426: 18/setup.app_t17_load: read load (linuxvm.dld)
6849427: 18/setup.app_t17_load: load module (linuxvm.dld)
6849430: 18/setup.app_t17_load: dlmload
6849438: 18/setup.app_t17_load: read (lo.dld)
6849439: 18/setup.app_t17_load: read load (lo.dld)
6849441: 18/setup.app_t17_load: load module (lo.dld)
6849444: 18/setup.app_t17_load: dlmload
lo.c: Initializing loopback device
6849448: 18/setup.app_t17_load: read (mach64.dld)
6849450: 18/setup.app_t17_load: read load (mach64.dld)
6849451: 18/setup.app_t17_load: load module (mach64.dld)
6849453: 18/setup.app_t17_load: dlmload
6849466:Detecting Ati graphic card...
ati.c: Failed to init driver..
i386pe.c: Failed to initialize kernel module
6849470: 18/setup.app_t17_load: read (nullblk.dld)
6849472: 18/setup.app_t17_load: read load (nullblk.dld)
6849473: 18/setup.app_t17_load: load module (nullblk.dld)
6849478: 18/setup.app_t17_load: dlmload
6849480: 18/setup.app_t17_load: read (nvidia.dld)
6849482: 18/setup.app_t17_load: read load (nvidia.dld)
6849483: 18/setup.app_t17_load: load module (nvidia.dld)
6849495: 18/setup.app_t17_load: dlmload
nvidia.c: Initializing nvidia module...
6849503:Detecting NVidia graphic card...
6849506:No supported NVidia graphic card detected.
nvidia.c: Unable to init device..
i386pe.c: Failed to initialize kernel module
6849510: 18/setup.app_t17_load: read (parallel.dld)
6849512: 18/setup.app_t17_load: read load (parallel.dld)
6849513: 18/setup.app_t17_load: load module (parallel.dld)
6849516: 18/setup.app_t17_load: dlmload
6849519: 18/setup.app_t17_load: read (ppp.dld)
6849520: 18/setup.app_t17_load: read load (ppp.dld)
6849522: 18/setup.app_t17_load: load module (ppp.dld)
6849527: 18/setup.app_t17_load: dlmload
ppp.c: Initializing....
6849530: 18/setup.app_t17_load: read (pty.dld)
6849532: 18/setup.app_t17_load: read load (pty.dld)
6849534: 18/setup.app_t17_load: load module (pty.dld)
6849538: 18/setup.app_t17_load: dlmload
pty.c: Initializing pty filesystem
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol pty
mount.c: Mounted device to pty
mount.c: New mount entry at 0x162EA018:
         SubFS : pty
         MountPoint: /pty
         Device :
         Mountnode : 162EA018
6849557: 18/setup.app_t17_load: read (radeon.dld)
6849559: 18/setup.app_t17_load: read load (radeon.dld)
6849560: 18/setup.app_t17_load: load module (radeon.dld)
6849562: 18/setup.app_t17_load: dlmload
6849568:No ATI Radeon graphic card found.
6849569:No ATI Radeon cards found.
6849570: 18/setup.app_t17_load: read (ramdisk.dld)
6849572: 18/setup.app_t17_load: read load (ramdisk.dld)
6849573: 18/setup.app_t17_load: load module (ramdisk.dld)
6849576: 18/setup.app_t17_load: dlmload
6849578: 18/setup.app_t17_load: read (rtl8139.dld)
6849580: 18/setup.app_t17_load: read load (rtl8139.dld)
6849582: 18/setup.app_t17_load: load module (rtl8139.dld)
6849596: 18/setup.app_t17_load: dlmload
rtl8139.c: Initializing....
rtl8139.c: no RTL8129/8139 Ethernet controller found
i386pe.c: Failed to initialize kernel module
6849603: 18/setup.app_t17_load: read (sb.dld)
6849604: 18/setup.app_t17_load: read load (sb.dld)
6849607: 18/setup.app_t17_load: load module (sb.dld)
6849609: 18/setup.app_t17_load: dlmload
sb.c: Initializing Soundblaster.
6849613: 18/setup.app_t17_load: read (slip.dld)
6849617: 18/setup.app_t17_load: read load (slip.dld)
6849618: 18/setup.app_t17_load: load module (slip.dld)
6849621: 18/setup.app_t17_load: dlmload
slip.c: Initializing....
6849627: 18/setup.app_t17_load: read (tcpip.dld)
6849629: 18/setup.app_t17_load: read load (tcpip.dld)
6849630: 18/setup.app_t17_load: load module (tcpip.dld)
6849632: 18/setup.app_t17_load: dlmload
6849636: 18/setup.app_t17_load: read (umfs.dld)
6849637: 18/setup.app_t17_load: read load (umfs.dld)
6849639: 18/setup.app_t17_load: load module (umfs.dld)
6849642: 18/setup.app_t17_load: dlmload
UMFS.c: Initializing usermode filesystem
subfs.c: Requested protocol not registered.
vfs.c: Registering protocol umfs
mount.c: Mounted device to umfs
mount.c: New mount entry at 0x1624AC0C:
         SubFS : umfs
         MountPoint: /umfs
         Device :
         Mountnode : 1624AC0C
6849661: 18/setup.app_t17_load: read (vfsdev.dld)
6849663: 18/setup.app_t17_load: read load (vfsdev.dld)
6849665: 18/setup.app_t17_load: load module (vfsdev.dld)
6849667: 18/setup.app_t17_load: dlmload
here in vfs
vfs.c: Initialiting vfsdev filesystem driver
       Copyright (c) 2002 by Robert Szeleney
here in vfs
here in vfs
here in vfs
here in vfs
6849676: 18/setup.app_t17_load: read (via82xx.dld)
6849678: 18/setup.app_t17_load: read load (via82xx.dld)
6849679: 18/setup.app_t17_load: load module (via82xx.dld)
6849681: 18/setup.app_t17_load: dlmload
via82xx.c: Initializing...
6849688: 18/setup.app_t17_load: read (viarhine.dld)
6849690: 18/setup.app_t17_load: read load (viarhine.dld)
6849693: 18/setup.app_t17_load: load module (viarhine.dld)
6849698: 18/setup.app_t17_load: dlmload
via.c: Initializing....
via.c: no via Ethernet controller found
i386pe.c: Failed to initialize kernel module
6849705: 18/setup.app_t17_load: read (vmt.dld)
6849707: 18/setup.app_t17_load: read load (vmt.dld)
6849708: 18/setup.app_t17_load: load module (vmt.dld)
6849710: 18/setup.app_t17_load: dlmload
6849712: 18/setup.app_t17_load: read (vmware.dld)
6849713: 18/setup.app_t17_load: read load (vmware.dld)
6849716: 18/setup.app_t17_load: load module (vmware.dld)
6849718: 18/setup.app_t17_load: dlmload
current 001F9A04
current 16780018
current: setup.app_t17_load
6849726:Detecting vmware graphic card...
6849727:Detected a Vmware SVGA2 graphic card
6849728:IOBase 0x00001460 - 0x00001470.
6849729:Vmware chip version 2 detected.
6849730:Video depth / bpp : 24/32
6849731:Max Width/Height : 2360/1770
6849733:Video Ram/Membase : 0x01000000/0xFA000000
6849734:Host BPP : 32
18 / setup.app_t17_load: auto reap myself because of thread state and no want exit code
get string
get dir /boot
device found
17 / setup.app_t17: auto reap myself because of thread state and no want exit code
6849836: 16/setup.app: Switching to step 10
Set device properties of /dev/net_lo
to 0100007F 000000FF 0100007F
Set device properties of /dev/net_lo
to 0100007F 000000FF 0100007F
6850090: 21/setup.app_t21: Apply keyboard mapping /boot/system/settings/keyboard/pl.txt
dhcpc.app: Querying DHCP server. Please wait...
6850098: 22/dhcpc.app: dhcp.c: Start DHCP Client...
Set device properties of /dev/net_amdpcnet
to 00000000 00000000 00000000
6850226: 21/setup.app_t21: keyboard.c: Warning! Keymap doesn't have DeadKeys
skygi.c: Merge Software/Primary driver data
vesa.c: Init
vesa.c: Mode Request
vesa.c: Set Mode
RF: 16
GF: 8
BF: 0
RM: 8
GM: 8
BM: 8
vesa.c: LFB at fa000000
vesa.c: Screen is 1024/768 at 32 bpp
vesa.c: lfb virtual at 0x188DB000. Size: 0x00301000
vesa.c: Enable MTRR for 0xFA000000. Size: 0x00301000
skygi.c: New graphic mode initialized
         Driver : /dev/GFX_VESA
         Resolution : 1024/768 1024/768 32 with 60 HZ
         Framebuffer: 0x188DB000
gigfx.c: Primary driver:
          Framebuffer: 188DB000
          Dimension : 1024x768x32
21 / setup.app_t21: auto reap myself because of thread state and no want exit code
6850374: 16/setup.app: Switching to step 1
23 / setup.app_t23: auto reap myself because of thread state and no want exit code
giwm.c: Destroy desktop
giwm.c: Destroy desktop done.
16 / setup.app: Set reaper as parent for task 22 / dhcpc.app
16 / setup.app: Set reaper as parent for task 24 / login.app
16 / setup.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
bootlogo.c: Bootimage freed
udpsock.c: No route to autobind udp socket.
sc.c: SecurityContext updated for login.app. (FFFFFFFF)
giwm.c: Destroy desktop
giwm.c: Destroy desktop done.
24 / login.app: Set reaper as parent for task 25 / desktop.app
24 / login.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
sched.c: (2 / TaskReaper) got signal, abort.
6853286: 22/dhcpc.app: dhcp.c: Sending DISCOVER...
6853288: 22/dhcpc.app: dhcp.c: Wait for packet...
panel.app: vnode.c: Node 154E9264 is busy. sleeping... (3373 / 3373).
panel.app: vnode.c: Node 154E9264 is busy. sleeping... (3373 / 3373).
panel.app: vnode.c: Node 154E9264 is busy. sleeping... (3373 / 3373).
panel.app: vnode.c: Node 154E9264 is busy. sleeping... (3373 / 3373).
panel.app: vnode.c: Node 154E9264 is busy. sleeping... (3373 / 3373).
panel.app: vnode.c: Node 154E9264 is busy. sleeping... (3373 / 3373).
panel.app: vnode.c: Node 154E9264 is busy. sleeping... (3373 / 3373).
panel.app: vnode.c: Node 154E9264 is busy. sleeping... (3373 / 3373).
iss.app: Starting ISS service...
ipsend.c: No route to destination (2)
6854889: 22/dhcpc.app: dhcp.c: Get DHCP_OFFER
6854890: 22/dhcpc.app: dhcp.c: DHCP Offer:
6854892: 22/dhcpc.app: dhcp.c: DHCP Server: 192.168.127.254
6854893: 22/dhcpc.app: dhcp.c: Client IP : 192.168.127.128
6854895: 22/dhcpc.app: dhcp.c: Server-ID : 192.168.127.254
6854899: 22/dhcpc.app: dhcp.c: Leasetime : 201C0000
6854901: 22/dhcpc.app: dhcp.c: DNS Server : 192.168.127.2
6854902: 22/dhcpc.app: dhcp.c: Router : 192.168.127.2
6854905: 22/dhcpc.app: dhcp.c: Request packet sent...
6854907: 22/dhcpc.app: dhcp.c: Use IP 192.168.127.128
6854909: 22/dhcpc.app: dhcp.c: Use serverid 192.168.127.254
6854911: 22/dhcpc.app: dhcp.c: Least time: 538705920
6854912: 22/dhcpc.app: dhcp.c: Ignoring option 58
6854914: 22/dhcpc.app: dhcp.c: Ignoring option 59
6854915: 22/dhcpc.app: dhcp.c: Use netmask 255.255.255.0
28 / desktop.app_t28: auto reap myself because of thread state and no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
6855034: 22/dhcpc.app: dhcp.c: Ignoring option 3
6855036: 22/dhcpc.app: dhcp.c: Ignoring option 6
6855037: 22/dhcpc.app: dhcp.c: Ignoring option 15
6855039: 22/dhcpc.app: dhcp.c: Ignoring option 28
6855041: 22/dhcpc.app: dhcp.c: Ignoring option 44
open.c: Redirect to socket close
close socket 16780298
close udp socket...
ref: 2
rel1: 2
rel2: 1
udpsock.c: Destroy udp socket 0
udpsock.c: Udp socket destroyed
free socket 16780298
dhcpc.app: DHCP Server contacted. Configuration:
dhcpc.app: Server IP : 192.168.127.254
dhcpc.app: Client IP : 192.168.127.128
dhcpc.app: Netmask : 255.255.255.0
dhcpc.app: Gatway IP : 0.0.0.0
dhcpc.app: DNS Server : 192.168.127.2
dhcpc.app: Router : 192.168.127.2
Set device properties of /dev/net_amdpcnet
to 807FA8C0 00FFFFFF 027FA8C0
dep.c: Remove DataExchangePort _dhcp_mutex_, task: dhcpc.app
sched.c: (2 / TaskReaper) got signal, abort.
ipsend.c: No route to destination (2)
6856912: 27/panel.app: winicon.c: IconParse() 1,2,4,8, 16bpp icons not supported
6857519: 27/panel.app: winicon.c: IconParse() 1,2,4,8, 16bpp icons not supported
zsnes.app:

zsnes.app: ZSNES v1.36 (c) 1997-2002, ZSNES Team (zsKnight & _Demo_)

zsnes.app:

zsnes.app: Be sure to check http://www.zsnes.com/ [^] for the latest version.

zsnes.app: Please report crashes to zsnes-devel@lists.sourceforge.net.

zsnes.app:

zsnes.app: ZSNES is written by the ZSNES Team (See AUTHORS.TXT)

zsnes.app: ZSNES comes with ABSOLUTELY NO WARRANTY. This is free software,
zsnes.app:
and you are welcome to redistribute it under certain conditions;
zsnes.app:
please read 'LICENSE' thoroughly before using it.
zsnes.app:

zsnes.app:
Use ZSNES -? for command line definitions.

zsnes.app:

6868064: 33/zsnes.app: 1
6868065: 33/zsnes.app: home: /boot/home/admin
6868075: 33/zsnes.app: 2
6868076: 33/zsnes.app: 4
6868077: 33/zsnes.app: 5
6868078: 33/zsnes.app: 007C2FF9
6868079: 33/zsnes.app: 007C7548
6868080: 33/zsnes.app: FFFFFF99
6868081: 33/zsnes.app: 5 FFFFFF99 007C2FF9 007C7548
6868082: 33/zsnes.app: 53
6868083: 33/zsnes.app: 54
6868084: 33/zsnes.app: done
6868086: 33/zsnes.app: 1
6868087: 33/zsnes.app: home: /boot/home/admin
6868089: 33/zsnes.app: 2
6868089: 33/zsnes.app: 4
6868090: 33/zsnes.app: 5
6868091: 33/zsnes.app: 007C2FF9
6868092: 33/zsnes.app: 007C7548
6868093: 33/zsnes.app: FFFFFF99
6868094: 33/zsnes.app: 5 FFFFFF99 007C2FF9 007C7548
6868095: 33/zsnes.app: 53
6868096: 33/zsnes.app: 54
zsnes.app: SET CMDLINE LINE NOT FOUND!
MMX support found and enabled.

zsnes.app:

mmfault.c: Invalid vma accessed from task zsnes.app
at 0x0
mmfault.c: Address is in VMA range. How can this happen?
mmfault.c: Address: 00000000 VMA: 00401000 - 00695000
mmfault.c: Execute default exception handler...
**********************************************************************
Exception 0x0E occured.
Exception report follows:
Task zsnes.app with PID 33 caused this exception while running in user mode.
Last sent GI message: 4100
Userstack located 00000000 - 7FFFFFF0, Kernel stack at 14C00018 - 14C1FC18
SBRK at 0x01A4B000

Kernel modules:
0x18619000 - 0x18698000 /BOOT/SYSTEM/DRIVERS/BFS.DLD
0x1889B000 - 0x188AB000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
0x187DF000 - 0x187EE000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x187D1000 - 0x187DF000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x185DA000 - 0x185EB000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x187B8000 - 0x187D1000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x1888D000 - 0x1889B000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x185B8000 - 0x185DA000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x18817000 - 0x1882B000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x18859000 - 0x18868000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x18698000 - 0x186A6000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x18711000 - 0x18736000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x188BB000 - 0x188CC000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x187A9000 - 0x187B8000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x18789000 - 0x1879B000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x186FE000 - 0x18711000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x186C9000 - 0x186DA000 /BOOT/SYSTEM/DRIVERS/EEPRO100.DLD
0x1882B000 - 0x18839000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x188AB000 - 0x188BB000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
0x185EB000 - 0x185FC000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x187EE000 - 0x18817000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
0x18868000 - 0x1888D000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x18736000 - 0x18747000 /BOOT/SYSTEM/DRIVERS/I815.DLD
0x1879B000 - 0x187A9000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x186DA000 - 0x186E8000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x1877A000 - 0x18789000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x18849000 - 0x18859000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x18839000 - 0x18849000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x185FC000 - 0x18619000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x186A6000 - 0x186C9000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x18757000 - 0x1877A000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x18747000 - 0x18757000 /BOOT/SYSTEM/DRIVERS/I855.DLD
0x186E8000 - 0x186FE000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
00401000 00695000 (18E34000, 00400000) RWX /boot/programs/zsnes/zsnes.app (18E33000)
00695000 00699000 (190C8000, 00400000) R-X /boot/programs/zsnes/zsnes.app (18E33000)
00699000 00766000 (00000000, 00400000) RWX /boot/programs/zsnes/zsnes.app (18E33000)
00766000 00767000 (19199000, 00400000) RWX /boot/programs/zsnes/zsnes.app (18E33000)
00768000 01A4B000 (00000000, 00000000) RWX Unknown (00000000)
20001000 2001B000 (183E7000, 20000000) R-X /boot/system/dll/libsky.dll (183E6000)
2001B000 2001C000 (18401000, 20000000) RWX /boot/system/dll/libsky.dll (183E6000)
2001C000 20020000 (18402000, 20000000) R-X /boot/system/dll/libsky.dll (183E6000)
20020000 20022000 (00000000, 20000000) RWX /boot/system/dll/libsky.dll (183E6000)
20022000 20025000 (18408000, 20000000) R-X /boot/system/dll/libsky.dll (183E6000)
20025000 20026000 (1840B000, 20000000) RWX /boot/system/dll/libsky.dll (183E6000)
20026000 20039000 (1840C000, 20000000) R-X /boot/system/dll/libsky.dll (183E6000)
2FF01000 2FF07000 (1850D000, 2FF00000) R-X /boot/system/dll/libregex.dll (1850C000)
2FF07000 2FF08000 (18513000, 2FF00000) RWX /boot/system/dll/libregex.dll (1850C000)
2FF08000 2FF09000 (18514000, 2FF00000) R-X /boot/system/dll/libregex.dll (1850C000)
2FF09000 2FF0A000 (00000000, 2FF00000) RWX /boot/system/dll/libregex.dll (1850C000)
2FF0A000 2FF0B000 (18516000, 2FF00000) R-X /boot/system/dll/libregex.dll (1850C000)
2FF0B000 2FF0C000 (18517000, 2FF00000) RWX /boot/system/dll/libregex.dll (1850C000)
30001000 30059000 (18450000, 30000000) R-X /boot/system/dll/libskygi.dll (1844F000)
30059000 3005C000 (184A8000, 30000000) RWX /boot/system/dll/libskygi.dll (1844F000)
3005C000 30065000 (184AB000, 30000000) R-X /boot/system/dll/libskygi.dll (1844F000)
30065000 30068000 (00000000, 30000000) RWX /boot/system/dll/libskygi.dll (1844F000)
30068000 3006E000 (184B7000, 30000000) R-X /boot/system/dll/libskygi.dll (1844F000)
3006E000 30072000 (184BD000, 30000000) RWX /boot/system/dll/libskygi.dll (1844F000)
30072000 3008D000 (184C1000, 30000000) R-X /boot/system/dll/libskygi.dll (1844F000)
35001000 35004000 (18422000, 35000000) R-X /boot/system/dll/libini.dll (18421000)
35004000 35005000 (18425000, 35000000) RWX /boot/system/dll/libini.dll (18421000)
36001000 36002000 (183DF000, 36000000) R-X /boot/system/dll/libenc.dll (183DE000)
36002000 36003000 (183E0000, 36000000) RWX /boot/system/dll/libenc.dll (183DE000)
36003000 36005000 (183E1000, 36000000) R-X /boot/system/dll/libenc.dll (183DE000)
36005000 36006000 (183E3000, 36000000) RWX /boot/system/dll/libenc.dll (183DE000)
3B001000 3B007000 (1803D000, 3B000000) R-X /boot/system/themes/plugin/windui/windui.dll (1803C000)
3B007000 3B008000 (18043000, 3B000000) RWX /boot/system/themes/plugin/windui/windui.dll (1803C000)
3B008000 3B00A000 (18044000, 3B000000) R-X /boot/system/themes/plugin/windui/windui.dll (1803C000)
3B00A000 3B00B000 (00000000, 3B000000) RWX /boot/system/themes/plugin/windui/windui.dll (1803C000)
3B00B000 3B00C000 (18047000, 3B000000) R-X /boot/system/themes/plugin/windui/windui.dll (1803C000)
3B00C000 3B00D000 (18048000, 3B000000) RWX /boot/system/themes/plugin/windui/windui.dll (1803C000)
40001000 40004000 (18429000, 40000000) R-X /boot/system/dll/librsm.dll (18428000)
40004000 40005000 (00000000, 40000000) RWX /boot/system/dll/librsm.dll (18428000)
40005000 40006000 (1842D000, 40000000) R-X /boot/system/dll/librsm.dll (18428000)
40006000 40007000 (1842E000, 40000000) RWX /boot/system/dll/librsm.dll (18428000)
41001000 41004000 (1851B000, 41000000) R-X /boot/system/dll/libdcs.dll (1851A000)
41004000 41005000 (1851E000, 41000000) RWX /boot/system/dll/libdcs.dll (1851A000)
41005000 41006000 (1851F000, 41000000) R-X /boot/system/dll/libdcs.dll (1851A000)
45001000 45003000 (18432000, 45000000) R-X /boot/system/dll/libuser.dll (18431000)
45003000 45005000 (18434000, 45000000) RWX /boot/system/dll/libuser.dll (18431000)
45005000 45007000 (18436000, 45000000) R-X /boot/system/dll/libuser.dll (18431000)
45007000 45008000 (18438000, 45000000) RWX /boot/system/dll/libuser.dll (18431000)
48001000 48023000 (184DF000, 48000000) R-X /boot/system/dll/ft2-1-4.dll (184DE000)
48023000 48024000 (18501000, 48000000) RWX /boot/system/dll/ft2-1-4.dll (184DE000)
48024000 4802B000 (18502000, 48000000) R-X /boot/system/dll/ft2-1-4.dll (184DE000)
4802B000 4802C000 (18509000, 48000000) RWX /boot/system/dll/ft2-1-4.dll (184DE000)
50001000 5000B000 (1843C000, 50000000) R-X /boot/system/dll/libnet.dll (1843B000)
5000B000 5000C000 (18446000, 50000000) RWX /boot/system/dll/libnet.dll (1843B000)
5000C000 5000F000 (18447000, 50000000) R-X /boot/system/dll/libnet.dll (1843B000)
5000F000 50010000 (00000000, 50000000) RWX /boot/system/dll/libnet.dll (1843B000)
50010000 50011000 (1844B000, 50000000) R-X /boot/system/dll/libnet.dll (1843B000)
50011000 50012000 (1844C000, 50000000) RWX /boot/system/dll/libnet.dll (1843B000)
7FFC0000 80000000 (00000000, 00000000) RWX Unknown (00000000)
 
Important page entries:
Page table entry for CR2: 0x00000000
Page table entry for EIP: 0x14D79025
Page table entry for ESP: 0x14C5E067
 
Detailed processor status:
Error Code = 00000006, CR2 = 00000000 Stack: 14C00018
EAX = 00000000, EBX = 004C2857, ECX = 00010000, EDX = 00000000
EFL = 00005246, ESI = 01A38CE8, EDI = 00000000, EBP = 00000400
ESP = 7FFFED6D, EIP = 00409548
CS = 0023, DS = 002B, ES = 002B
FS = 002B, GS = 002B, SS = 002B
Page fault occured while task was in user mode
The page is not present and the task tried to write to this page


No kernel stack voilation occured..




User stack backtrace from 0x00409548 / 0x00000400
User stack backtrace from 0x00409548 / 0x00000400
<user: /boot/programs/zsnes/zsnes.app + 0x00008548> 0x00409548
<user: /boot/programs/zsnes/zsnes.app + 0x00008548> 0x00409548
Invalid address: 00000400

Disassembling code at fault address (Virtual: 0x00409548 Physical: 0x14D79548):
100000:14D79548 rep(e) stosb es:[edi],al
100000:14D7954A mov edi,<NULL>
100000:14D7954F mov ecx,<NULL>
100000:14D79554 rep(e) stosb es:[edi],al
100000:14D79556 mov edi,<NULL>
100000:14D7955B mov ecx,<NULL>
100000:14D79560 rep(e) stosb es:[edi],al
100000:14D79562 mov edi,<NULL>
100000:14D79567 mov ecx,<NULL>
100000:14D7956C rep(e) stosb es:[edi],al
100000:14D7956E mov edi,<NULL>
100000:14D79573 mov ecx,<NULL>
100000:14D79578 rep(e) stosb es:[edi],al
100000:14D7957A mov edi,[<NULL>]
100000:14D79580 mov ecx,<NULL>
Memory at EIP (Virtual: 0x00409585 Physical: 0x14D79585):
Memory dump at CR2 (Virtual: 0x00000000 Physical: 0x00000000):
<invalid>

Exception report end.
Notification 1: (/Type=0x00140006 /Index=1 /ShortDescription="Application crashed. Click info icon
to send a crash report." /LongDescription="Crash report for zsnes.app") buffered
except.c: Check for debug application...
except.c: Post debug request...
6868391: 26/debug.app: create dynbmp
6868392: 26/debug.app: dynbmp created
6868393: 26/debug.app: create msgbox2
**********************************************************************
except.c: Stopping application...
current: vci.app, set to 34
6871126: 35/gdb.app: done
6871127: 35/gdb.app: done
6871158: 35/gdb.app: Database load not implemetned!
6871163: 35/gdb.app: ssystem.c: sysconf not implemented for 5
debug.c: Attach to process 33
36 / vci.app_t36: auto reap myself because of thread state and no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
35 / gdb.app: Set reaper as parent for task 33 / zsnes.app
35 / gdb.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
34 / vci.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
6876816: 27/panel.app: Resource 9 not found
6876859: 27/panel.app: Resource 8 not found
6876860: 27/panel.app: Resource 9 not found
6876861: 27/panel.app: Resource 9 not found
6876863: 27/panel.app: Resource 9 not found
mount.c: Syncing filesystem skyfs (/boot)
skyfs.c: Syncing disk...
buffer.c: Still dirty blocks: -2
syshandl.c: Shutdown initiated. Type: 1
syshandl.c: Shuting down system...
mount.c: Syncing filesystem skyfs (/boot)
skyfs.c: Syncing disk...
buffer.c: Still dirty blocks: -4
mount.c: Syncing filesystem skyfs (/boot)
skyfs.c: Syncing disk...
buffer.c: Still dirty blocks: -6
syshandl.c: Shuting down tasks...
kill.c: Sending terminate to all processes...
sched.c: Interrupt task from sleeping
gimsg.c: Received signal while waiting for message
31 / appman.app: auto reap myself because of no want exit code
32 / iss.app_ISSChecker: auto reap myself because of thread state and no want exit code
gimsg.c: Received signal while waiting for message
25 / desktop.app: Set reaper as parent for task 26 / debug.app
25 / desktop.app: Set reaper as parent for task 27 / panel.app
25 / desktop.app: Set reaper as parent for task 29 / sysserv.app
25 / desktop.app: Set reaper as parent for task 30 / iss.app
25 / desktop.app: auto reap myself because of no want exit code
giwm.c: Destroy desktop
giwm.c: Destroy desktop done.
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
listener.c: Remove client due task delete
29 / sysserv.app: auto reap myself because of no want exit code
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0017FF4F
<core: kernel> 0x001836AC
<core: kernel> 0x00182330
<core: kernel> 0x0010B8C4
<core: kernel> 0x001224B5
<core: kernel> 0x001228BE
<core: kernel> 0x001071F0
dep.c: Remove DataExchangePort dep_System.Services.Notifications.All.SystemNotificationPanel, task: sysserv.app
30 / iss.app: auto reap myself because of no want exit code
dep.c: Remove DataExchangePort ISSService, task: iss.app
sched.c: (2 / TaskReaper) got signal, abort.
gimsg.c: Received signal while waiting for message
27 / panel.app: Set reaper as parent for task 33 / zsnes.app
27 / panel.app: auto reap myself because of no want exit code
gidraw.c: Message to invalid window
sched.c: (2 / TaskReaper) got signal, abort.
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0017FF4F
<core: kernel> 0x001836AC
<core: kernel> 0x00182330
<core: kernel> 0x0010B8C4
<core: kernel> 0x001224B5
<core: kernel> 0x001228BE
<core: kernel> 0x001071F0
listener.c: Remove client due window delete
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0017FF4F
<core: kernel> 0x001836AC
<core: kernel> 0x00182330
<core: kernel> 0x0010B8C4
<core: kernel> 0x001224B5
<core: kernel> 0x001228BE
<core: kernel> 0x001071F0
26 / debug.app: auto reap myself because of no want exit code
dep.c: Remove DataExchangePort sys_DebugRequest, task: debug.app
sched.c: (2 / TaskReaper) got signal, abort.
sched.c: (2 / TaskReaper) got signal, abort.
sched.c: (2 / TaskReaper) got signal, abort.
sched.c: (2 / TaskReaper) got signal, abort.
kill.c: Sending terminate to all processes...
kill.c: All tasks except desktop terminated
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending terminate to desktop...
kill.c: Sending kill to all processes...
kill.c: Sending kill to all processes...
signal.c Killing in-debug-state task..:
33 / zsnes.app: auto reap myself because of no want exit code
sched.c: (2 / TaskReaper) got signal, abort.
kill.c: Sending kill to all processes...
kill.c: All tasks killed.
gidraw.c: Message to invalid window
<core: kernel> 0x0018FF3E
<core: kernel> 0x0018FFCD
<core: kernel> 0x0018F3C8
<core: kernel> 0x0018642E
<core: kernel> 0x0010BEBF
<core: kernel> 0x00101D27
<core: kernel> 0x00109DA3
<core: kernel> 0xC7FDB17C
syshandl.c: Shuting down vfs...
mount.c: Unmounting all devices...
unmoung:
unmoung:
unmoung: /dev/hd0a
skyfs: umount...
free journal
free indices
free cached blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 0 0
/dev/hd0a 0 4096 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 0 0
/dev/hd0a 0 4096 0
done
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 0 0
/dev/hd0a 0 4096 0
buffer.c: Remove device from cache subsystem. Serialized 0 blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 0 0
/dev/hd0a 0 4096 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 0 0
/dev/hd0a 0 0 0
skyfs: unmount done.
unmoung: /dev/cd1
remove device
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 0 0
buffer.c: Remove device from cache subsystem. Serialized 0 blocks
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 0 0
buffer.c: Cache statistic:
-------------------------------------------------------------
Device Dirty NonDirty Locked
/dev/cd1 0 0 0
unmoung:
devfs.c: unmount
usage is 0
unmoung:
unmoung:
unmoung:
regser.c: Bootdevice not mounted.
          Serialization aborted
buffer.c: Still dirty blocks: -6
syshandl.c: Rebooting...
reboot.c: Event: 01000000
reboot.c: Shutdown...
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
vm86.c: 16bit opcode (ea)not handled
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

-  Notes
(0000516)
Another One (reporter)
2005-03-14 10:38

Still an issue for 8.4 Setup5.

- Issue History
Date Modified Username Field Change
2005-02-04 20:53 Another One New Issue
2005-03-14 10:38 Another One Note Added: 0000516
2005-03-31 15:20 robert Status new => closed


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker